#ifndef PROCGRAPH_H_
#define PROCGRAPH_H_

#include <henge.h>
#include "tpool.h"

struct ProcSample {
	float proc, idle;
};

class ProcGraph {
private:
	Vector2 pos, size;

	ProcSample *samples;
	int num_samples, cur_sample;

	int tid;
	const ThreadPool *tpool;
	ThreadStats prev_stats;
	unsigned long prev_time;

public:
	ProcGraph();
	~ProcGraph();

	void set_position(const Vector2 &pos);
	void set_size(const Vector2 &size);

	bool init(int tid, const ThreadPool *tpool, int num_samples);

	void update();
	void draw() const;
};

#endif	// PROCGRAPH_H_
