#ifndef SOCK_H_
#define SOCK_H_

#if defined(__APPLE__) && defined(__MACH__)
#ifndef __unix__
#define __unix__	1
#endif
#endif

#if defined(unix) || defined(__unix__)
#include <unistd.h>
#include <fcntl.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <sys/select.h>
#include <arpa/inet.h>
#include <netdb.h>
#endif

#if defined(WIN32) || defined(__WIN32__)
#include <winsock.h>

#define hstrerror(x)	"name resolution failed"

// according to MSDN it's not an error to call WSAStartup more than once
static struct WSAInitCrap {
	WSAInitCrap()
	{
		WSADATA wsa_data;
		WSAStartup(MAKEWORD(1,1), &wsa_data);
	}
	~WSAInitCrap()
	{
		WSACleanup();
	}
} wsa_init_crap;

#endif


#endif	/* SOCK_H_ */
